[2.0] Use new database Layer?

Mark threads with "[2.0]" for discussions about features in the longer-term future, "[1.6]" is for short-term. This is not the place for general discussions or plugin or template requests. Only features that are approved to happen by the core team should be listed here for better structuring.
User avatar
mattsches
Regular
Posts: 435
Joined: Sat Nov 05, 2005 10:35 pm
Location: Wiesbaden, Germany
Contact:

Re: [2.0] Use new database Layer?

Post by mattsches » Sat Aug 10, 2013 8:12 pm

onli wrote:Using bundled_libs instead of vendors would be great
It's easier than I thought, and as easy to overlook in the docs :wink:

Code: Select all

{
    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.zendframework.com/"
        }
    ],
    "require": {
        "php": ">=5.3.3",
        "zendframework/zend-db": "2.*"
    },
    "config": {
        "vendor-dir": "bundled-libs"
    }
}

User avatar
onli
Regular
Posts: 2187
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: [2.0] Use new database Layer?

Post by onli » Sun Aug 18, 2013 12:50 pm

I just pushed it into 2.0. Inactive, but all files should be there and all code in place. I'd be happy it you could push the patch (I think there probably were a bit additional changes later?)

User avatar
mattsches
Regular
Posts: 435
Joined: Sat Nov 05, 2005 10:35 pm
Location: Wiesbaden, Germany
Contact:

Re: [2.0] Use new database Layer?

Post by mattsches » Mon Aug 19, 2013 10:55 am

Do you mean the part with the PDO driver_options? Other than that I did not change anything IIRC.

Locked